Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class ColumnViewerEditorDeactivationEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.jface.viewers.ColumnViewerEditorDeactivationEvent

All Implemented Interfaces:
  Serializable

    public class ColumnViewerEditorDeactivationEvent

extends EventObject

This event is fired when an editor deactivated

Since:
  3.3
See Also:
  Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

Field Summary
`static int` `EDITOR_CANCELED` Event when editor is canceled
`static int` `EDITOR_SAVED` Event when editor is saved
`int` `eventType` The event type

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ColumnViewerEditorDeactivationEvent(Object source)`

Method Summary

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### eventType

    public int eventType

  The event type

  Since:
    3.4

### EDITOR_CANCELED

    public static final int EDITOR_CANCELED

  Event when editor is canceled

  Since:
    3.4
  See Also:
    Constant Field Values

### EDITOR_SAVED

    public static final int EDITOR_SAVED

  Event when editor is saved

  Since:
    3.4
  See Also:
    Constant Field Values

Constructor Detail

### ColumnViewerEditorDeactivationEvent

    public ColumnViewerEditorDeactivationEvent(Object source)

Parameters:
  `source` -

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.